//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Paw_park.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Dog
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Dog()
        {
            this.Bookings = new HashSet<Booking>();
            this.Comments = new HashSet<Comment>();
            this.People = new HashSet<Person>();
        }
        public int Id { get; set; }


        [Display(Name = "Nimi")]
        public string Name { get; set; }



        [Display(Name = "Tug")]
        public string Breed { get; set; }
        [Display(Name = "Sugu")]
        public int Gender { get; set; }
        [Display(Name = "Kas on kastreeritud?")]
        public Nullable<bool> Cut { get; set; }
        [Display(Name = "Snniaeg")]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd.MM.yyyy}")]
        public System.DateTime BirthDate { get; set; }

        [Display(Name = "Vanus")]
        public int Age { get; set; }
        [Display(Name = "Suurus")]
        public int Size { get; set; }
        [Display(Name = "Snakuulelikkus")]
        public int Educ { get; set; }
        [Display(Name = "Soovin pakkumisi koostpartneritelt")]
        public Nullable<bool> OffersForDog { get; set; }
        [Display(Name = "Pildid")]
        public Nullable<int> PictureId
        {
            get; set;
        }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Booking> Bookings { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Comment> Comments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Person> People { get; set; }
        public virtual DataFile DataFile { get; set; }
    }
}
